from django.urls import path

from .views import home_view, BooksDetailView, BooksView, AuthorsView, AuthorDetailsView, BookCreateView, AuthorCreateView, BookUpdateView, AuthorUpdateView

urlpatterns = [
	path('home/', home_view, name='index'),
	path('books/', BooksView.as_view(), name='books'),
	path('books/<int:pk>/details/', BooksDetailView.as_view(), name='books-detail'),
      path('authors/', AuthorsView.as_view(), name='authors'),
      path('authors/<int:pk>/details/', AuthorDetailsView.as_view(), name='author-detail'),
	path('books/add/', BookCreateView.as_view(), name='add-book'),
	path('authors/add/', AuthorCreateView.as_view(), name='add-author'),
	path('books/<int:pk>/edit/', BookUpdateView.as_view(), name='edit-book'),
	path('authors/<int:pk>/edit/', AuthorUpdateView.as_view(), name='edit-author'),
]

app_name = 'bookshelf'